
CoCoALib - Feature #1132

Canonical homomorphism for (some) polynomial rings?

30 Nov 2017 09:28 - Anna Maria Bigatti

Status: New Start date: 30 Nov 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.45 hour

Description

It would be convenient to have an automatic homomorphism P1 -> P2 (differing only for ordering)

which effectively is PolyAlgebraHom(P1, P2, indets(P2)).

How should it be called?  CanonicalHom?

but it is quite different from what CanonicalHom means now: a (one step) embedding/quotienting/...

CanonicalPolyAlgebraHom  would be good, but it's a bit long ;-)

Should we also think of other canonical (non ambiguous) homomorphisms between polynomial rings?

Related issues:

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

History

#1 - 30 Nov 2017 10:00 - John Abbott

- Related to Feature #7: Automatic mapping between (some) rings added

#2 - 30 Nov 2017 10:04 - John Abbott

JAA thinks that CanonicalHom should be fairly general, and not just a "single-step".

Perhaps the "single-step" version could be called CanonicalHom1?

#3 - 25 Jun 2018 12:07 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#4 - 01 Oct 2019 12:02 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99800

#5 - 03 Nov 2021 16:54 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#6 - 08 Mar 2024 18:00 - Anna Maria Bigatti

Another convenient homomorphism would be a "BringIn-like" homomorphism (keeping the names of the indets: e.g. x maps to x)

Should we call it BringIn as in CoCoA?

In CoCoA the meaning is slightly different, because the argument is a polynomial, not the homomorphism domain, so we could map   x in K[x,y,z] into

K[x].

#7 - 08 Mar 2024 18:01 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
